<?xml version="1.0" encoding="UTF-8" ?>
<!--
 #  The Contents of this file are made available subject to the terms of
 #  GNU Lesser General Public License Version 2.1
 #
 #  The Initial Developer of the Original Code is :
 #  BOBICIEL INFORMATIQUE - FRANCE, April 2003
 #
 #  Contributor(s):
 #  Robert DARGAUD  BOBICIEL INFORMATIQUE
 #  _______________ ______________________________
 #  _______________ ______________________________
 #  _______________ ______________________________
 #  _______________ ______________________________
 #
 #
 #  GNU Lesser General Public License Version 2.1
 #  =============================================
 #
 #  This library is free software; you can redistribute it and/or
 #  modify it under the terms of the GNU Lesser General Public
 #  License version 2.1, as published by the Free Software Foundation.
 #
 #  This library is distributed in the hope that it will be useful,
 #  but WITHOUT ANY WARRANTY; without even the implied warranty of
 #  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 #  Lesser General Public License for more details.
 #
 #  You should have received a copy of the GNU Lesser General Public
 #  License along with this library; if not, write to the Free Software
 #  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 #  MA  02111-1307  USA
 #
 #  =============================================
  -->

<!-- Product name : maXOpenInfo -->
<!-- Version      :  -->
<!-- Date         :  -->

<!--
 -->
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:office="http://openoffice.org/2000/office">

	<xsl:output method="xml" indent="yes" omit-xml-declaration="no"/>

	<!--  -->
	<xsl:template match="/">
    	<xsl:apply-templates/>
	</xsl:template>

	<!--  -->
	<xsl:template match="office:document-content">
    	<office:document>
            <xsl:for-each select="document('/openinfo/styles.xml')/office:document-styles">
                <xsl:apply-templates/>
            </xsl:for-each>
	    	<xsl:apply-templates/>
    	</office:document>
	</xsl:template>

	<!--  -->
	<xsl:template match="child::node() | attribute::*">
    	<xsl:copy>
	    	<xsl:apply-templates select="attribute::*"/>
	    	<xsl:apply-templates select="node()"/>
        </xsl:copy>
  	</xsl:template>

</xsl:transform>

